Skip to main content
GET
/
plugins
Get plugins
curl --request GET \
  --url https://api.smokeball.com/plugins \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/plugins"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/plugins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "externalId": "<string>",
      "version": {
        "id": "<string>",
        "pluginId": "<string>",
        "versionNumber": 123,
        "name": "<string>",
        "description": "<string>",
        "placement": "<string>",
        "requestEndpointUrl": "<string>",
        "attributes": {
          "text": "<string>",
          "icon": "<string>",
          "color": "<string>",
          "tooltip": "<string>",
          "page": {
            "title": "<string>",
            "width": 123,
            "height": 123,
            "useDefaultBrowser": true
          }
        },
        "availability": {
          "matterTypeIds": [
            "<string>"
          ]
        },
        "createdDate": "2020-02-15T00:00:00Z",
        "lastUpdatedDate": "2020-02-15T00:00:00Z"
      },
      "lastUpdated": 637847425252027400,
      "createdDate": "2020-02-15T00:00:00Z",
      "lastUpdatedDate": "2020-02-15T00:00:00Z",
      "key": "<string>",
      "additionalData": {}
    }
  ],
  "offset": 123,
  "limit": 123,
  "size": 123,
  "first": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "previous": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "next": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "last": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  }
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Query Parameters

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500

Response

200 - application/json

When request is successful. Returns a paged collection of 'Plugin' objects.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
value
object[] | null
offset
integer<int32> | null
limit
integer<int32> | null
size
integer<int64>
first
object | null
previous
object | null
next
object | null
last
object | null